Package com.xebialabs.xlrelease.domain.events

# Class TeamsRemovedInTemplateEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TeamsRemovedInTemplateEvent

All Implemented Interfaces:
  `TeamEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TeamsRemovedInTemplateEvent extends Object implements TeamEvent, scala.Product, Serializable
Event published when teams of a template are removed when the template is moved to a folder. param: templateId ID of the template which was moved. param: folderTitle Title of the folder to which the template was moved.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TeamsRemovedInTemplateEvent(String templateId, String folderTitle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TeamsRemovedInTemplateEvent`
  `apply(String templateId, String folderTitle)`
  `boolean`
  `canEqual(Object x$1)`
  `TeamsRemovedInTemplateEvent`
  `copy(String templateId, String folderTitle)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `String`
  `folderTitle()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `templateId()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,String>>`
  `unapply(TeamsRemovedInTemplateEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### TeamsRemovedInTemplateEvent

    public TeamsRemovedInTemplateEvent(String templateId, String folderTitle)

- ## Method Details

  - ### apply

    public static TeamsRemovedInTemplateEvent apply(String templateId, String folderTitle)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,String>> unapply(TeamsRemovedInTemplateEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### templateId

    public String templateId()

  - ### folderTitle

    public String folderTitle()

  - ### copy

    public TeamsRemovedInTemplateEvent copy(String templateId, String folderTitle)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`